/*********************************************************************
  grey2rgb32mmx.hh

  purpose:

  notes:

  to do:

  author(s):
   - Dirk Farin, Kapellenweg 15, 72070 Tuebingen, Germany,
     email: farindk@trick.informatik.uni-stuttgart.de

  modifications:
   08/Mar/2000 - Dirk Farin - first implementation
 *********************************************************************/

#ifndef DISPLAY_GREY2RGB32MMX_HH
#define DISPLAY_GREY2RGB32MMX_HH

#include "ulib/graphics/lowlevel/img2raw.hh"

class i2r_grey_32bit_mmx : public Image2Raw_TransformYUV
{
public:
  virtual ~i2r_grey_32bit_mmx() { }

  virtual void Transform(const Image_YUV<Pixel>&,uint8* mem);

  virtual const char* TransformationName() { return "grey to 32bit RGB, MMX accelerated"; }
};

#endif
